=== debian/changelog ===
ros-foxy-nav2-costmap-2d (0.4.7-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steve Macenski <stevenmacenski@gmail.com>  Tue, 06 Apr 2021 01:22:07 -0000
