=== debian/control ===
Source: ros-foxy-nav2-costmap-2d
Section: misc
Priority: optional
Maintainer: Steve Macenski <stevenmacenski@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-angles, ros-foxy-geometry-msgs, ros-foxy-laser-geometry, ros-foxy-launch, ros-foxy-launch-testing, ros-foxy-map-msgs, ros-foxy-message-filters, ros-foxy-nav-msgs, ros-foxy-nav2-common, ros-foxy-nav2-lifecycle-manager, ros-foxy-nav2-map-server, ros-foxy-nav2-msgs, ros-foxy-nav2-util, ros-foxy-nav2-voxel-grid, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-lifecycle, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-tf2-sensor-msgs, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-nav2-costmap-2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-angles, ros-foxy-geometry-msgs, ros-foxy-laser-geometry, ros-foxy-map-msgs, ros-foxy-message-filters, ros-foxy-nav-msgs, ros-foxy-nav2-msgs, ros-foxy-nav2-util, ros-foxy-nav2-voxel-grid, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-lifecycle, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-tf2-sensor-msgs, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Description: This package provides an implementation of a 2D costmap that takes in sensor data from the world, builds a 2D or 3D occupancy grid of the data (depending on whether a voxel based implementation is used), and inflates costs in a 2D costmap based on the occupancy grid and a user specified inflation radius.
 This package also provides support for map_server based initialization of a costmap, rolling window based costmaps, and parameter based subscription to and configuration of sensor topics.
